Bug 886330

Summary: fonts-tweak-tool doesn't save font config when using "Do not filter font family by classification"
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: fonts-tweak-toolAssignee: Akira TAGOH <tagoh>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: i18n-bugs, kent.neo, mfabian, petersen, pwu, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-11 23:23:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jens Petersen 2012-12-12 03:59:43 UTC
Description of problem:
Fonts-tweak-tool seems not to save user configuration
when using the "Do not filter the font family by classification."
option.

Version-Release number of selected component (if applicable):
fonts-tweak-tool-0.1.2-1.fc18

How reproducible:
100%

Steps to Reproduce:
1. run fonts-tweak-tool
2. Add Simplified Chinese say under aliases
3. Check "Do not filter the font family by classification." option
4. Add WQY Zenhei as Sans and Serif fonts
5. close
6. ls ~/.config/fontconfig/conf.d
7. restart fonts-tweak-tool

Actual results:
6. no files saved
7. no config shown

Expected results:
6. .conf files to be created
7. previous config to appear

Additional info:
Without "Do not filter the font family by classification." option
configuration is correctly saved.

Comment 1 Fedora Update System 2012-12-18 09:42:32 UTC
fonts-tweak-tool-0.1.4-1.fc18,libeasyfc-0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fonts-tweak-tool-0.1.4-1.fc18,libeasyfc-0.10-1.fc18

Comment 2 Fedora Update System 2012-12-18 21:26:59 UTC
Package fonts-tweak-tool-0.1.4-1.fc18, libeasyfc-0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fonts-tweak-tool-0.1.4-1.fc18 libeasyfc-0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20576/fonts-tweak-tool-0.1.4-1.fc18,libeasyfc-0.10-1.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-01-11 23:23:36 UTC
fonts-tweak-tool-0.1.4-1.fc18, libeasyfc-0.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.